Package com.avaya.clientservices.call

## Class CallException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.avaya.clientservices.call.CallException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class CallException
      extends java.lang.Exception

  Exception representing a session failure. TODO: How to generalize this? Define ClientServicesException as base that CallException inherits from? Make OperationResultListener a generic object that takes in ClientServicesException?
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CallException​(CallError error)` |
    `CallException​(CallError error, int protocolErrorCode, java.lang.String protocolErrorReason)` |
    `CallException​(java.lang.String detailMessage, CallError error, int protocolErrorCode, java.lang.String protocolErrorReason)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CallError` | `getError()` | Returns session error type.
    `int` | `getProtocolErrorCode()` | Returns the error code from the underlying signaling protocol.
    `java.lang.String` | `getProtocolErrorReason()` | Returns the error reason string from the underlying signaling protocol.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CallException

          public CallException​(CallError error)

    - #### CallException

          public CallException​(CallError error,
                               int protocolErrorCode,
                               java.lang.String protocolErrorReason)

    - #### CallException

          public CallException​(java.lang.String detailMessage,
                               CallError error,
                               int protocolErrorCode,
                               java.lang.String protocolErrorReason)

  - ### Method Detail

    - #### getError

          public CallError getError()

      Returns session error type.
      Returns:
        session error type.

    - #### getProtocolErrorCode

          public int getProtocolErrorCode()

      Returns the error code from the underlying signaling protocol.
      Returns:
        the error code from the underlying signaling protocol.

    - #### getProtocolErrorReason

          public java.lang.String getProtocolErrorReason()

      Returns the error reason string from the underlying signaling protocol.
      Returns:
        the error reason string from the underlying signaling protocol.